Bug 46813 - Update local file cache
Update local file cache
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-1
Assigned To: Dirk Wiesenthal
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-12 13:22 CEST by Erik Damrose
Modified: 2018-06-12 13:12 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.137
Enterprise Customer affected?:
School Customer affected?:
ISV affected?: Yes
Waiting Support:
Ticket number:
Bug group (optional): Appliance
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2018-04-12 13:22:12 CEST
There seems to be a timing issue with updating the local file cache. We saw in an app appliance that the app's portal icon was not present. The local file cache was not up to date, so when the portal entry was created, no icon was loaded.
Comment 1 Dirk Wiesenthal univentionstaff 2018-05-25 17:40:29 CEST
This _should_ work. Please check in any Appliance.

univention-appcenter 7.0.1-52A~4.3.0.201805251734
Comment 2 Erik Damrose univentionstaff 2018-06-04 14:44:19 CEST
We discussed that the _update_local_files() call should be done when the system is setup with all packages. Commit 002c0d8eec shows that the acll is done in univention-management-console-module-appcenter.postinst.

But an UCS appliance has that package already installed: dpkg -l | grep appcenter
python-univention-appcenter
univention-appcenter
univention-appcenter-docker
univention-management-console-module-appcenter

The postinst will not run again -> reopen
Comment 3 Dirk Wiesenthal univentionstaff 2018-06-05 11:21:04 CEST
I still think that this should fix the issue. Tag it to 4.3-1. Maybe system-setup should lose the dependency to the UMC module.
Comment 4 Dirk Wiesenthal univentionstaff 2018-06-05 11:21:31 CEST
Reverted the change for 4.3-0-errata in
  univention-appcenter 7.0.1-60A~4.3.0.201806051119
Comment 5 Dirk Wiesenthal univentionstaff 2018-06-08 12:29:03 CEST
Removed umc-appcenter from the dependency list of
  univention-system-setup 11.0.5-1A~4.3.0.201806081223
and re-added the patch to univention-appcenter

I have a feeling that umc-appcenter is still installed through a umc dependency, though. Please check
Comment 6 Erik Damrose univentionstaff 2018-06-11 16:44:52 CEST
OK: UCS 4.3-1 appliance: No umc-appcenter package installed
OK: No issues with package installation during system setup
OK: Fix for app appliances only tested by code review

I added a changelog in 800a0180

Verified
Comment 7 Erik Damrose univentionstaff 2018-06-12 13:12:40 CEST
UCS 4.3-1 has been released.